Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.results
Class NumericalResultSet

    java.lang.Object
      de.jstacs.results.ResultSet
          de.jstacs.results.NumericalResultSet

All Implemented Interfaces:
  Storable

Direct Known Subclasses:
  MeanResultSet

    public class NumericalResultSet

extends ResultSet

Class for a set of numerical result values, which are all of the type `NumericalResult`.

Author:
  Jan Grau

Field Summary

Fields inherited from class de.jstacs.results.ResultSet
`results`

Constructor Summary
`NumericalResultSet(LinkedList<? extends NumericalResult> results)` Constructs a `NumericalResultSet` from a `LinkedList` of `NumericalResult`s.
`NumericalResultSet(NumericalResult result)` Constructs a `NumericalResultSet` containing one `NumericalResult`.
`NumericalResultSet(NumericalResult[]... results)` Constructs a `NumericalResultSet` from some arrays of `NumericalResult`s.
`NumericalResultSet(StringBuffer representation)` The standard constructor for the interface `Storable`.

Method Summary
`NumericalResult` | `getResultAt(int index)` Returns `Result` number `index` in this `ResultSet`.

Methods inherited from class de.jstacs.results.ResultSet
`findColumn, fromXML, getNumberOfResults, getResults, toString, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NumericalResultSet

    public NumericalResultSet(NumericalResult result)

  Constructs a `NumericalResultSet` containing one `NumericalResult`.

  Parameters:
    `result` - the `NumericalResult` to be contained

### NumericalResultSet

    public NumericalResultSet(NumericalResult[]... results)

  Constructs a `NumericalResultSet` from some arrays of `NumericalResult`s.

  Parameters:
    `results` - the results

### NumericalResultSet

    public NumericalResultSet(LinkedList<? extends NumericalResult> results)

  Constructs a `NumericalResultSet` from a `LinkedList` of `NumericalResult`s.

  Parameters:
    `results` - the `LinkedList` of `NumericalResult`s

### NumericalResultSet

    public NumericalResultSet(StringBuffer representation)
                       throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `NumericalResultSet` from the corresponding XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `StringBuffer` `representation` could not be parsed.

Method Detail

### getResultAt

    public NumericalResult getResultAt(int index)

  Description copied from class: `ResultSet`
  Returns `Result` number `index` in this `ResultSet`.

  Overrides:
    `getResultAt` in class `ResultSet`
  Parameters:
    `index` - the index of the `Result`
  Returns:
    the `Result` at `index`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD